Bug 976830 - swift services only listen on 127.0.0.1 by default, doc doesn't tell to use it or modify config
swift services only listen on 127.0.0.1 by default, doc doesn't tell to use i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: ---
: 4.0
Assigned To: Summer Long
ecs-bugs
: Documentation
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-06-21 11:07 EDT by Attila Darazs
Modified: 2013-09-24 13:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.10 Build Name: 15807, Installation and Configuration Guide-3-1 Build Date: 12-06-2013 09:31:52 Topic ID: 16079-459260 [Latest]
Last Closed: 2013-07-24 15:14:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Darazs 2013-06-21 11:07:31 EDT
Title: Building Object Storage Service Ring Files

Describe the issue:
If you follow the suggestions in the doc here:
sudo swift-ring-builder /etc/swift/account_builder_file add zX-node_ip_address:6002/device_mountpoint partition_count

You will probably specify the real IP of the machine. The documentation never mentions that by default all three services (account, container, object) only listens on 127.0.0.1 address.

This results in "swift list" command giving this not too helpful message:
# swift list
Account GET failed: http://10.34.60.70:8080/v1/AUTH_0462cfe859364e2e92a1f78309576d02?format=json 503 Internal Server Error  [first 60 chars of response] <html><h1>Service Unavailable</h1><p>The server is currently

/var/log/messages has this:
Jun 21 16:34:34 localhost proxy-server ERROR with Account server 10.34.60.70:6002/1 re: Trying to GET /v1/AUTH_0462cfe859364e2e92a1f78309576d02: Connection refused (txn: txa9da9f28b14846ab8e9bee8e705380d2)
Jun 21 16:34:34 localhost proxy-server Account GET returning 503 for [] (txn: txa9da9f28b14846ab8e9bee8e705380d2) (client_ip: 10.34.60.70)

Suggestions for improvement:
Either
- mention that you should specify 127.0.0.1 in the ring-builder command or
- tell the user to change the bind address to the real IP or 0.0.0.0

# grep bind_ip /etc/swift/*-server.conf
/etc/swift/account-server.conf:bind_ip = 127.0.0.1
/etc/swift/container-server.conf:bind_ip = 127.0.0.1
/etc/swift/object-server.conf:bind_ip = 127.0.0.1

Additional information:
It started working after I changed these to 0.0.0.0
Comment 5 Summer Long 2013-06-27 18:42:09 EDT
Ok, ready for QA with the next doc release.

Note You need to log in before you can comment on or make changes to this bug.